- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_CONF_CTX_new, SSL_CONF_CTX_free - SSL configuration allocation functions

# SYNOPSIS

    #include <openssl/ssl.h>

    SSL_CONF_CTX *SSL_CONF_CTX_new(void);
    void SSL_CONF_CTX_free(SSL_CONF_CTX *cctx);

# DESCRIPTION

The function SSL_CONF_CTX_new() allocates and initialises an SSL_CONF_CTX structure for use with the SSL_CONF functions.

The function SSL_CONF_CTX_free() frees up the context cctx. If cctx is NULL nothing is done.

# RETURN VALUES

SSL_CONF_CTX_new() returns either the newly allocated SSL_CONF_CTX structure or NULL if an error occurs.

SSL_CONF_CTX_free() does not return a value.

# SEE ALSO

ssl(7), SSL_CONF_CTX_set_flags(3), SSL_CONF_CTX_set_ssl_ctx(3), SSL_CONF_CTX_set1_prefix(3), SSL_CONF_cmd(3), SSL_CONF_cmd_argv(3)

# HISTORY

These functions were added in OpenSSL 1.0.2.

# COPYRIGHT

Copyright 2012-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.